Package com.orchestranetworks.userservice.declaration

# Interface UserServicePropertiesDefinitionContext

public interface UserServicePropertiesDefinitionContext
Provides a context to define the common properties of a user service.

Since:
  5.8.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setConfirmationMessageBeforeLaunch()`
  Defines a generic confirmation message to be displayed when the service is launched as an action from a toolbar.
  `void`
  `setConfirmationMessageBeforeLaunch(UserMessage aConfirmationMessage)`
  Defines a localized confirmation message to be displayed when the service is launched as an action from a toolbar.
  `void`
  `setConfirmationMessageBeforeLaunch(String aConfirmationMessage)`
  Defines a confirmation message to be displayed when the service is launched as an action from a toolbar.
  `void`
  `setDescription(UserMessage aDescription)`
  Defines the service's default description.
  `void`
  `setDescription(String aDescription)`
  Defines the service's default description.
  `void`
  `setDescriptionForConfiguration(UserMessage aDescription)`
  Defines the service description to be displayed in a configuration context.
  `void`
  `setDescriptionForConfiguration(String aDescription)`
  Defines the service description to be displayed in a configuration context.
  `void`
  `setGroup(ServiceGroupKey aServiceGroupKey)`
  Defines the group to which this service belongs to.
  `void`
  `setLabel(UserMessage aLabel)`
  Defines the service's default title.
  `void`
  `setLabel(String aLabel)`
  Defines the service's default label.
  `void`
  `setLabelForConfiguration(UserMessage aLabel)`
  Defines the service label to be displayed in a configuration context.
  `void`
  `setLabelForConfiguration(String aLabel)`
  Defines the service label to be displayed in a configuration context.

- ## Method Details

  - ### setLabel

    void setLabel(String aLabel)
    Defines the service's default label.

    By default the label is the `ServiceKey`.

  - ### setLabel

    void setLabel(UserMessage aLabel)
    Defines the service's default title.

    By default the label is the `ServiceKey`.

  - ### setLabelForConfiguration

    void setLabelForConfiguration(String aLabel)
    Defines the service label to be displayed in a configuration context.

    The configuration contexts supported are:

    - Permissions configuration
    - Workflow user task configuration
    - Perspective configuration

    When declaring a service extension, this is the same as using `setLabel(String)`}

    Since:
      6.1.2

  - ### setLabelForConfiguration

    void setLabelForConfiguration(UserMessage aLabel)
    Defines the service label to be displayed in a configuration context.

    See `setLabelForConfiguration(String)` for details on configuration contexts.

    When declaring a service extension, this is the same as using `setLabel(UserMessage)`}

    Since:
      6.1.2

  - ### setDescription

    void setDescription(String aDescription)
    Defines the service's default description.

    By default there is no description.

  - ### setDescription

    void setDescription(UserMessage aDescription)
    Defines the service's default description.

    By default there is no description.

  - ### setDescriptionForConfiguration

    void setDescriptionForConfiguration(String aDescription)
    Defines the service description to be displayed in a configuration context.

    See `setLabelForConfiguration(String)` for details on configuration contexts.

    When declaring a service extension, this is the same as using `setDescription(String)`}

    Since:
      6.1.2

  - ### setDescriptionForConfiguration

    void setDescriptionForConfiguration(UserMessage aDescription)
    Defines the service description to be displayed in a configuration context.

    See `setLabelForConfiguration(String)` for details on configuration contexts.

    When declaring a service extension, this is the same as using `setDescription(UserMessage)`}

    Since:
      6.1.2

  - ### setGroup

    void setGroup(ServiceGroupKey aServiceGroupKey)
    Defines the group to which this service belongs to.

    This method can only be used when declaring a new user service. It has no effect when declaring a service extension.

  - ### setConfirmationMessageBeforeLaunch

    void setConfirmationMessageBeforeLaunch(String aConfirmationMessage)
    Defines a confirmation message to be displayed when the service is launched as an action from a toolbar. By default, the service is launched directly without any confirmation.

    This method can only be used when declaring a new user service. It has no effect when declaring a service extension.

    See Also:
      - `setConfirmationMessageBeforeLaunch(UserMessage)`

  - ### setConfirmationMessageBeforeLaunch

    void setConfirmationMessageBeforeLaunch(UserMessage aConfirmationMessage)
    Defines a localized confirmation message to be displayed when the service is launched as an action from a toolbar. By default, the service is launched directly without any confirmation.

    This method can only be used when declaring a new user service. It has no effect when declaring a service extension.

  - ### setConfirmationMessageBeforeLaunch

    void setConfirmationMessageBeforeLaunch()
    Defines a generic confirmation message to be displayed when the service is launched as an action from a toolbar. To define a specific confirmation message, `setConfirmationMessageBeforeLaunch(UserMessage)` can be used. By default, the service is launched directly without any confirmation.

    This method can only be used when declaring a new user service. It has no effect when declaring a service extension.